Bug 173712 - missing package deps: mesa-libGL-devel
missing package deps: mesa-libGL-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-19 03:08 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: mesa-6.4.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 04:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-11-19 03:08:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
mesa-libGL-devel-6.4-4.i386.rpm lacks a dependency on libX11-devel:

# rpm -q --requires -p mesa-libGL-devel-6.4-4.i386.rpm
libGL = 6.4-4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

# grep X11/ usr/include/GL/*
usr/include/GL/glx.h:#include <X11/Xlib.h>
usr/include/GL/glx.h:#include <X11/Xutil.h>
usr/include/GL/xmesa.h:#include <X11/Xlib.h>
usr/include/GL/xmesa.h:#include <X11/Xutil.h>
=> libGL-devel must depend on libX11-devel


Version-Release number of selected component (if applicable):
mesa-libGL-devel-6.4-4.i386.rpm

How reproducible:
Always

Steps to Reproduce:
compile a program using glx.


Actual Results:  Broken package deps.

Additional info:
Comment 1 Mike A. Harris 2005-12-21 04:31:29 EST
Thanks for the report.  Fixed in mesa-6.4.1-2

Note You need to log in before you can comment on or make changes to this bug.